#pragma once
#include <Arduino.h>

struct BootOptions {
    static void initPins();

    BootOptions();

    void waitForRelease();
    void forceSafeMode();

    bool isSetup = false;
    bool isSerial = false;
    bool isFlash = false;
    bool lastBootWasFlash = false;
    bool isSafeMode = false;
    uint8_t crashCount = 0;
    uint8_t resetReason = 0;
};
